Index: languages/js/.eslintrc
===================================================================
--- languages/js/.eslintrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ languages/js/.eslintrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,43 @@
+{
+    "parser": "babel-eslint",
+    "plugins": [ "react" ],
+    "extends": "airbnb-base",
+    "env": {
+        "browser": true,
+        "es6": true,
+        "node": true
+    },
+    "parserOptions": {
+        "ecmaFeatures": {
+            "jsx": true,
+            "modules": true
+        },
+        "sourceType": "module"
+    },
+    "ecmaFeatures": {
+        "arrowFunctions": true,
+        "blockBindings": true,
+        "classes": true,
+        "defaultParams": true,
+        "destructuring": true,
+        "forOf": true,
+        "generators": true,
+        "modules": true,
+        "spread": true,
+        "templateStrings": true,
+        "jsx": true
+    },
+    "rules": {
+        "consistent-return": [0],
+        "key-spacing": [0],
+        "quotes": [0],
+        "new-cap": [0],
+        "no-multi-spaces": [0],
+        "no-shadow": [0],
+        "no-unused-vars": [1],
+        "no-use-before-define": [2, "nofunc"],
+        "react/jsx-no-undef": 1,
+        "react/jsx-uses-react": 1,
+        "react/jsx-uses-vars": 1
+    }
+}
Index: languages/js/.npmrc
===================================================================
--- languages/js/.npmrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ languages/js/.npmrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,1 @@
+prefix=/home/w96k/.nodejs
Index: languages/php/.phprc
===================================================================
--- languages/php/.phprc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ languages/php/.phprc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,2 @@
+error_reporting = E_ALL
+display_startup_errors = on
Index: languages/php/.psysh/rc.php
===================================================================
--- languages/php/.psysh/rc.php	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ languages/php/.psysh/rc.php	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,15 @@
+<?php
+
+$config = [
+    'pager'       => 'more',
+    'usePcntl'    => true,
+    'useReadline' => true,
+    'commands'    => [
+        new \Psy\Command\ParseCommand,
+    ],
+];
+
+$f = getenv('HOME') . '/.composer/vendor/autoload.php';
+if (file_exists($f)) { $config['defaultIncludes'] = [$f]; }
+
+return $config;
Index: languages/python/.pythonrc
===================================================================
--- languages/python/.pythonrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ languages/python/.pythonrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,9 @@
+# -*- mode: python -*-
+# import atexit
+# import rlcompleter
+# import code
+# import os
+# import readline
+
+# readline.parse_and_bind('tab:complete')
+# readline.parse_and_bind('bind ^I rl_complete')
Index: languages/ruby/.irbrc
===================================================================
--- languages/ruby/.irbrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ languages/ruby/.irbrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,1 @@
+IRB.conf[:USE_MULTILINE] = false if ENV['INSIDE_EMACS']
Index: languages/scheme/.guile
===================================================================
--- languages/scheme/.guile	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ languages/scheme/.guile	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,4 @@
+(use-modules (ice-9 readline) (ice-9 colorized))
+
+(activate-readline)
+(activate-colorized)
Index: wm/.ratpoisonrc
===================================================================
--- wm/.ratpoisonrc	(revision 7bfb563bd9fae2bbcfdcd8c4df8db1ad44ef8ca7)
+++ wm/.ratpoisonrc	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -8,5 +8,6 @@
 set framesels 1234567890abcdefg
 
-set font "Courier:size=12"
+set font "Courier:size=10"
+set winliststyle column
 set bargravity n
 defborder 0 
@@ -16,5 +17,5 @@
 # Commands to run-or-raise programs
 alias icecat exec ratpoison -c "select icecat" || exec icecat
-alias nyxt exec ratpoison -c "select nyxt" || exec nyxt
+alias palemoon exec ratpoison -c "select Pale moon" || sh ~/Software/palemoon/palemoon-guix.sh
 alias workrave exec ratpoison -c "select workrave" || exec workrave
 alias emacs exec ratpoison -c "select emacs" || exec emacs
@@ -30,5 +31,5 @@
 
 # Run or raise Nyxt
-bind B nyxt
+bind B palemoon
 
 # Run or raise Icecat
@@ -51,4 +52,2 @@
 definekey top XF86AudioLowerVolume exec amixer -q sset Master 3%-
 definekey top XF86AudioRaiseVolume exec amixer -q sset Master 3%+
-
-#exec wmname LG3D
